package md

type HomePageResp struct {
	IsSign              bool   `json:"is_sign"`                // 是否开始签到
	SignEndTime         string `json:"sign_end_time"`          // 签到截止时间
	TotalEggEnergy      string `json:"total_egg_energy"`       // 总蛋蛋能量 (个人+团队+预估)
	TotalEggEnergyValue string `json:"total_egg_energy_value"` // 总蛋蛋能量价值
	TotalActivePoints   string `json:"total_active_points"`    // 总蛋蛋积分
	InitialPrice        string `json:"initial_price"`          // 蛋蛋能量初始价格
	NowBasalRate        string `json:"now_basal_rate"`         // 当前基础速率/小时
	NowTeamRate         string `json:"now_team_rate"`          // 当前团队速率/小时
	NickName            string `json:"nick_name"`              // 用户名称
	LeaveTimer          string `json:"leave_timer"`            // 可签到剩余时间 秒
}

type HomePageWatchAdRuleResp struct {
	RewardTotalNum            string `json:"reward_total_num"`              // 总可观看广告数量
	ResidueWatchAdNum         int    `json:"residue_watch_ad_num"`          // 当前剩余可观看视频数
	WatchAdRewardActivePoints string `json:"watch_ad_reward_active_points"` // 观看广告视频奖励X个活跃积分
	NextWatchAdDate           string `json:"next_watch_ad_date"`            // 下次可观看广告时间,若为空允许观看视频
	NextWatchAdSecs           int64  `json:"next_watch_ad_secs"`            // 下次可观看广告时间,若为空允许观看视频
	EachRoundHour             string `json:"each_round_hour"`               // 每一轮X个小时
	RoundRemainingSecs        int64  `json:"round_remaining_secs"`          // 本轮剩余时间
}

type RealTimePriceResp struct {
	UserCount int64  `json:"user_count"` // 用户数
	NowPrice  string `json:"now_price"`  // 当前价格
	IsRises   bool   `json:"is_rises"`   // 是否涨/跌价
	Rises     string `json:"rises"`      // 涨价幅度(百分比)
}

type IsCanSignInResp struct {
	IsCan bool `json:"is_can_sign_in"` // 能否签到
}

type IsCanGetRedPackageResp struct {
	IsCan bool `json:"is_can_get_red_package"` // 能否获取红包
}

type HeroListNode struct {
	AvatarUrl string `json:"avatar_url"` // 头像
	SumValue  string `json:"sum_value"`  // 期内获得能量值
	Uid       string `json:"uid"`
	Nickname  string `json:"nickname"` // 昵称
}

type SelfHeroListNode struct {
	AvatarUrl string `json:"avatar_url"` // 头像
	SumValue  string `json:"sum_value"`  // 期内获得能量值
	Uid       int64  `json:"uid"`
	Nickname  string `json:"nickname"` // 昵称
	Rank      int64  `json:"rank"`     // 排行(为0时显示为未上榜)
}

type HeroListResp struct {
	Total    int              `json:"total"`
	Page     int              `json:"page"`
	Limit    int              `json:"limit"`
	SelfRank SelfHeroListNode `json:"self_rank"` // 当前用户排行
	List     []HeroListNode   `json:"list"`
}

type StarRoadProgressResp struct {
	LevelName string          `json:"level_name"` // 当前等级名称
	LevelId   int             `json:"level_id"`   // 当前等级 id
	List      []LevelTaskNode `json:"list"`
}
type LevelTaskNode struct {
	LevelId         int   `json:"level_id"`           // 等级 id
	IsMustTask      int   `json:"is_must_task"`       // 是否必做
	TaskType        int   `json:"task_type"`          // 任务类型 1:直推会员人数,2:直推会员活跃天数,3:直推会员等级
	WithinDays      int   `json:"within_days"`        // 多少天内完成
	FinishCount     int   `json:"finish_count"`       // 多少天内完成的指标数
	ActiveDays      int   `json:"active_days"`        // 活跃多少天
	TaskTypeLevelId int   `json:"task_type_level_id"` // 会员等级id(task_type=3时生效)
	FinishNum       int64 `json:"finish_num"`         // 当前已完成数量
}
